﻿using SchoolScheduleContracts.BindingModels;
using SchoolScheduleContracts.SearchModels;
using SchoolScheduleContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolScheduleContracts.BusinessLogicsContracts
{
	public interface ILessonLogic
	{
		List<LessonViewModel>? ReadList(LessonSearchModel? model);
		LessonViewModel? ReadElement(LessonSearchModel model);
		bool Create(LessonBindingModel model);
		bool Update(LessonBindingModel model);
		bool Delete(LessonBindingModel model);
	}
}
