﻿using SchoolScheduleContracts.BindingModels;
using SchoolScheduleContracts.SearchModels;
using SchoolScheduleContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolScheduleContracts.StoragesContracts
{
	public interface IGradeStorage
	{
		List<GradeViewModel> GetFullList();
		List<GradeViewModel> GetFilteredList(GradeSearchModel model);
		GradeViewModel? GetElement(GradeSearchModel model);
		GradeViewModel? Insert(GradeBindingModel model);
		GradeViewModel? Update(GradeBindingModel model);
		GradeViewModel? Delete(GradeBindingModel model);

	}
}
