﻿using SchoolScheduleContracts.BindingModels;
using SchoolScheduleContracts.SearchModels;
using SchoolScheduleContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolScheduleContracts.StoragesContracts
{
	public interface ISchedulePlaceStorage
	{
		List<SchedulePlaceViewModel> GetFullList();
		List<SchedulePlaceViewModel> GetFilteredList(SchedulePlaceSearchModel model);
		SchedulePlaceViewModel? GetElement(SchedulePlaceSearchModel model);
		SchedulePlaceViewModel? Insert(SchedulePlaceBindingModel model);
		SchedulePlaceViewModel? Update(SchedulePlaceBindingModel model);
		SchedulePlaceViewModel? Delete(SchedulePlaceBindingModel model);
	}
}
