﻿using SchoolScheduleContracts.BindingModels;
using SchoolScheduleContracts.SearchModels;
using SchoolScheduleContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolScheduleContracts.StoragesContracts
{
	public interface IStudentStorage
	{
		List<StudentViewModel> GetFullList();
		List<StudentViewModel> GetFilteredList(StudentSearchModel model);
		StudentViewModel? GetElement(StudentSearchModel model);
		StudentViewModel? Insert(StudentBindingModel model);
		StudentViewModel? Update(StudentBindingModel model);
		StudentViewModel? Delete(StudentBindingModel model);
	}
}
