﻿using SchoolScheduleDataModels.Enums;
using SchoolScheduleDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolScheduleContracts.ViewModels
{
	public class StudentViewModel : IStudentModel
	{
		public int Id { get; set; }
		[DisplayName("Полное имя")]
		public string FullName { get; set; } = string.Empty;
		public int GradeId { get; set; }
		[DisplayName("Класс")]
		public string GradeName { get; set; } = string.Empty;
		public Dictionary<int, (ILessonModel, StudentStatus, int?)> Attendance { get; set; } = new();
	}
}
