﻿using SchoolScheduleDataModels.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolScheduleDataBaseImplement.Models
{
	public class LessonStudent
	{
		public int Id { get; private set; }
		[Required]
		public int StudentId { get; private set; }
		[Required]
		public int LessonId { get; private set; }
		[Required]
		public StudentStatus Status { get; set; }
		public int? Mark { get; set; } = null;
		public virtual Student Student { get; set; } = new();
		public virtual Lesson Lesson { get; set; } = new();
	}
}
