﻿using SchoolScheduleDataModels.Enums;
using SchoolScheduleDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolScheduleContracts.BindingModels
{
	public class StudentBindingModel : IStudentModel
	{
		public int Id { get; set; }
		public string FullName { get; set; } = string.Empty;
		public int GradeId { get; set; }
		public Dictionary<int, (ILessonModel, StudentStatus, int?)> Attendance { get; set; } = new();
	}
}
