﻿using SchoolScheduleContracts.BindingModels;
using SchoolScheduleContracts.SearchModels;
using SchoolScheduleContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolScheduleContracts.BusinessLogicsContracts
{
	public interface IGradeLogic
	{
		List<GradeViewModel> ReadList(GradeSearchModel? model);
		GradeViewModel? ReadElement(GradeSearchModel? model);
		List<StudentViewModel> GetStudents(GradeSearchModel model);
 		bool Create(GradeBindingModel model);
		bool Update(GradeBindingModel model);
		bool Delete(GradeBindingModel model);
	}
}
