﻿using SchoolScheduleContracts.BindingModels;
using SchoolScheduleContracts.SearchModels;
using SchoolScheduleContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolScheduleContracts.BusinessLogicsContracts
{
	public interface ISchedulePlaceLogic
	{
		List<SchedulePlaceViewModel>? ReadList(SchedulePlaceSearchModel? model);
		SchedulePlaceViewModel? ReadElement(SchedulePlaceSearchModel model);
		bool Create(SchedulePlaceBindingModel model);
		bool Update(SchedulePlaceBindingModel model);
		bool Delete(SchedulePlaceBindingModel model);
	}
}
