﻿using SchoolScheduleContracts.BindingModels;
using SchoolScheduleContracts.SearchModels;
using SchoolScheduleContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolScheduleContracts.BusinessLogicsContracts
{
	public interface IStudentLogic
	{
		List<StudentViewModel>? ReadList(StudentSearchModel? model);
		StudentViewModel? ReadElement(StudentSearchModel model);
		bool Create(StudentBindingModel model);
		bool Update(StudentBindingModel model);
		bool Delete(StudentBindingModel model);
	}
}
