﻿using SchoolScheduleContracts.BindingModels;
using SchoolScheduleContracts.SearchModels;
using SchoolScheduleContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolScheduleContracts.BusinessLogicsContracts
{
	public interface ITeacherLogic
	{
		List<TeacherViewModel>? ReadList(TeacherSearchModel? model);
		TeacherViewModel? ReadElement(TeacherSearchModel model);
		bool Create(TeacherBindingModel model);
		bool Update(TeacherBindingModel model);
		bool Delete(TeacherBindingModel model);
	}
}
