﻿using SchoolScheduleContracts.BindingModels;
using SchoolScheduleContracts.SearchModels;
using SchoolScheduleContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolScheduleContracts.StoragesContracts
{
	public interface ILessonStorage
	{
		List<LessonViewModel> GetFullList();
		List<LessonViewModel> GetFilteredList(LessonSearchModel model);
		LessonViewModel? GetElement(LessonSearchModel model);
		LessonViewModel? Insert(LessonBindingModel model);
		LessonViewModel? Update(LessonBindingModel model);
		LessonViewModel? Delete(LessonBindingModel model);
	}
}
