﻿using SchoolScheduleContracts.BindingModels;
using SchoolScheduleContracts.SearchModels;
using SchoolScheduleContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolScheduleContracts.StoragesContracts
{
	public interface ISubjectStorage
	{
		List<SubjectViewModel> GetFullList();
		List<SubjectViewModel> GetFilteredList(SubjectSearchModel model);
		SubjectViewModel? GetElement(SubjectSearchModel model);
		SubjectViewModel? Insert(SubjectBindingModel model);
		SubjectViewModel? Update(SubjectBindingModel model);
		SubjectViewModel? Delete(SubjectBindingModel model);
	}
}
