﻿using SchoolScheduleDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolScheduleContracts.ViewModels
{
	public class LessonViewModel : ILessonModel
	{
		public int Id { get; set; }
		[DisplayName("Дата")]
		public DateOnly Date { get; set; }
		[DisplayName("Домашняя работа")]
		public string? Homework { get; set; }
		public int SchedulePlaceId { get; set; }
		[DisplayName("Время")]
		public TimeOnly SchedulePlaceTime { get; set; } = TimeOnly.MinValue;
		public int TeacherId { get; set; }
		public int SubjectId { get; set; }
		public int GradeId { get; set; }
		[DisplayName("Учитель")]
		public string TeacherFullName { get; set; } = string.Empty;
		[DisplayName("Предмет")]
		public string SubjectName { get; set; } = string.Empty;
		[DisplayName("Класс")]
		public string GradeName { get; set; } = string.Empty;
	}
}
