﻿using SchoolScheduleDataModels.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolScheduleDataModels.Models
{
	public interface IStudentModel : IId
	{
		string FullName { get; }
		int GradeId { get; }
		Dictionary<int, (ILessonModel, StudentStatus, int?)> Attendance { get; }
	}
}
